Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class BuildProgressBarImpl

    java.lang.Object
      com.atlassian.bamboo.builder.BuildProgressBarImpl

All Implemented Interfaces:
  BuildProgressBar

    public class BuildProgressBarImpl

extends Object
implements BuildProgressBar

Constructor Summary
`BuildProgressBarImpl(BuildResults buildResults)`

Method Summary
`double` | `getPercentageCompleted()` Elapsed time / total time
`String` | `getPercentageCompletedAsString()`
`String` | `getPrettyTimeRemaining()` Returns the approximate amount of time remaining
`int` | `getTimeElpasedWidth()` Return the width of the "elapsed time" progress bar
`int` | `getTotalTimeWidth()` Return the width of the "total time" progress bar
`boolean` | `isUnderAverageTime()` Returns true if elapse time < ave time
`boolean` | `isValid()` Returns true iff the ave time is > 0

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildProgressBarImpl

    public BuildProgressBarImpl(BuildResults buildResults)

Method Detail

### isValid

    public boolean isValid()

  Description copied from interface: `BuildProgressBar`
  Returns true iff the ave time is > 0

  Specified by:
    `isValid` in interface `BuildProgressBar`
  Returns:

### isUnderAverageTime

    public boolean isUnderAverageTime()

  Description copied from interface: `BuildProgressBar`
  Returns true if elapse time < ave time

  Specified by:
    `isUnderAverageTime` in interface `BuildProgressBar`
  Returns:
    true if elapse time < ave time

### getPercentageCompleted

    public double getPercentageCompleted()

  Description copied from interface: `BuildProgressBar`
  Elapsed time / total time

  Specified by:
    `getPercentageCompleted` in interface `BuildProgressBar`
  Returns:
    Elapsed time / total time

### getPrettyTimeRemaining

    public String getPrettyTimeRemaining()

  Description copied from interface: `BuildProgressBar`
  Returns the approximate amount of time remaining

  Specified by:
    `getPrettyTimeRemaining` in interface `BuildProgressBar`

### getPercentageCompletedAsString

    public String getPercentageCompletedAsString()

### getTotalTimeWidth

    public int getTotalTimeWidth()

  Description copied from interface: `BuildProgressBar`
  Return the width of the "total time" progress bar

  Specified by:
    `getTotalTimeWidth` in interface `BuildProgressBar`
  Returns:
    width of bar

### getTimeElpasedWidth

    public int getTimeElpasedWidth()

  Description copied from interface: `BuildProgressBar`
  Return the width of the "elapsed time" progress bar

  Specified by:
    `getTimeElpasedWidth` in interface `BuildProgressBar`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.